Subject: Re: [PATCH v2 3/6] doc: check for absence of multiple terms in each entry of desc list

From: Jean-Noël AVILA <[email-masked]>
Date: Fri, 08 Aug 2025 23:52:23 +0200

On Wednesday, 6 August 2025 03:02:04 CEST Collin Funk wrote:
> Hi,
> 
> "Jean-Noël Avila via GitGitGadget" <[email-masked]> writes:
> > From: =?UTF-8?q?Jean-No=C3=ABl=20Avila?= <[email-masked]>
> > 
> > Due to portability issues, the script generate-configlist.sh was fixed to
> > not use carriage returns in the output. However, the result is that it no
> > longer correctly handles multiple terms in a single entry of the 
definition
> > list.
> > 
> > We now check that these entries do not exist in the documentation.
> > 
> > Signed-off-by: Jean-Noël Avila <[email-masked]>
> > ---
> > 
> >  Documentation/Makefile                      | 10 +++++++++
> >  Documentation/git-check-attr.adoc           |  3 ++-
> >  Documentation/git-check-ignore.adoc         |  9 +++++---
> >  Documentation/git-http-fetch.adoc           |  4 +++-
> >  Documentation/lint-documentation-style.perl | 24 +++++++++++++++++++++
> >  Documentation/technical/api-path-walk.adoc  |  5 ++++-
> >  shared.mak                                  |  1 +
> >  7 files changed, 50 insertions(+), 6 deletions(-)
> >  create mode 100755 Documentation/lint-documentation-style.perl
> 
> I documented that this was the correct way to format them in
> CodingGuidelines. At the time I commented that there were some places
> 
> that didn't follow this rule. Junio replied [1]:
> > We are updating them gradually while avoiding collisions with
> > patches that do other "real" work; see many recent patches to
> > Documentation/config/ area by Jean-Noël Avila for more, e.g.
> > d30c5cc4 (doc: convert git-mergetool options to new synopsis style,
> > 2025-05-25).
> 
> As long as he is okay with the change, this looks good to me. It isn't
> that many changes, so hopefully it is. :)
> 
> Small nit, but the issue was '\n' not being interpreted as a newline in
> sed's s command. Mentioning carriage return makes me think of '\r'.
> 
> Reviewed-by: Collin Funk <[email-masked]>
> 
> Collin

As a matter of fact, the script did not check config description files, but 
only root man pages. Will also push this change in the next iteration.

Thanks

Jean-Noël